From c14d387343e4cb20fe3018fbe991797d20a9f29f Mon Sep 17 00:00:00 2001
From: Michael Brand <michael.ch.brand@gmail.com>
Date: Wed, 8 Jan 2025 17:47:14 +0100
Subject: [PATCH 1/2] Align test with other tests

* testing/lisp/test-org-table.el (test-org-table/sort-lines):
`(org-table-sort-lines nil ?A)' is already tested, change it to the
missing `(org-table-sort-lines t ?A)'.
---
 testing/lisp/test-org-table.el | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

diff --git a/testing/lisp/test-org-table.el b/testing/lisp/test-org-table.el
index df63a65fc..cfc8e2a0b 100644
--- a/testing/lisp/test-org-table.el
+++ b/testing/lisp/test-org-table.el
@@ -1908,6 +1908,7 @@ See also `test-org-table/copy-field'."
 	       (lambda (s1 s2 &optional _locale ignore-case)
 		 (funcall original-string-collate-lessp
 			  s1 s2 "C" ignore-case))))
+      ;; Sort alphabetically ignore case.
       (should
        (equal "| a | x |\n| B | 4 |\n| c | 3 |\n"
 	      (org-test-with-temp-text "| <point>a | x |\n| c | 3 |\n| B | 4 |\n"
@@ -1925,9 +1926,9 @@ See also `test-org-table/copy-field'."
 				       (org-table-sort-lines t ?a)
 				       (buffer-string))))
       (should
-       (equal "| C |\n| b |\n| a |\n"
+       (equal "| b |\n| a |\n| C |\n"
 	      (org-test-with-temp-text "| <point>a |\n| C |\n| b |\n"
-				       (org-table-sort-lines nil ?A)
+				       (org-table-sort-lines t ?A)
 				       (buffer-string))))))
   ;; Sort by time (timestamps)
   (should
-- 
2.39.3 (Apple Git-145)

